server {
        listen       80;
		#listen      443 ssl;
        server_name  127.0.0.1 alias localhost;
		#ssl_certificate      X:/UPUPW/Nginx/sslroot/cert.pem;
        #ssl_certificate_key  X:/UPUPW/Nginx/sslroot/cert.key;
        #include ssl.conf;
        #error_page 497  https://$host$uri?$args;
        #if ($ssl_protocol = '') {return 301 https://$host$request_uri;}
        location / {
            root   X:/UPUPW/htdocs;
            index  index.html index.htm default.html default.htm index.php default.php app.php u.php;
			include        X:/UPUPW/htdocs/up-*.conf;
        }
		autoindex off;
		include advanced_settings.conf;
		#include expires.conf;
		location ~* .*\/(attachment|attachments|uploadfiles)\/.*\.(php|php5|php7|phps|asp|aspx|jsp)$ {
        deny all;
        }
        location ~ ^.+\.php {
            root           X:/UPUPW/htdocs;
            fastcgi_pass   bakend;
            fastcgi_index  index.php;
			fastcgi_split_path_info ^((?U).+\.php)(/?.+)$;
			fastcgi_param  PATH_INFO $fastcgi_path_info;
			fastcgi_param  PATH_TRANSLATED $document_root$fastcgi_path_info;
			fastcgi_param  HTTPS  $https if_not_empty;
            include        fastcgi.conf;
        }
		}
#server 127.0.0.1 end}
